#pragma once
#include "tinyxml/tinyxml.h"
#include "KeyVar.h"
#include "CharConvert.h"
#include "FileCore.h"
class OnlineProduct
{
private:
	string m_Verstion;
	TiXmlDocument* pDocument;
public:
	OnlineProduct();
	~OnlineProduct();
public:
	const char* GetInstallPageVersion(wstring productUrl);
	wstring GetVersionW();
private:
	const char* LoadXmlA(const char* xmlStr);
	const char* GetVersionFromXmlA();
};

